Subject: Re: [alto] WG Review: ALTO Charter Update(Internet mail)

From: Qin Wu <[email-masked]>
Date: Wed, 12 May 2021 12:14:26 +0000

Thanks Chunshan for your input and comments on charter proposal, see reply inline.
发件人: chunshxiong(熊春山) [mailto:[email-masked]]
发送时间: 2021年5月11日 16:40
收件人: Qin Wu <[email-masked]>; IETF ALTO <[email-masked]>
抄送: [email-masked]; Zaheduzzaman Sarker <[email-masked]>
主题: RE: [alto] WG Review: ALTO Charter Update(Internet mail)

Hello WuQin and working group,

I provide our views on this recharter.

Firstly, we think ALTO is an IETF WG to standardize the interaction between application and network, initially for P2P application and now it is a good chance to continue optimization to support these new interactive services like Cloud Gaming, XR/AR, V2X application etc.
[Qin]: I agree to support further evolving of ALTO protocol.
To support new application and introduce further optimization for ALTO protocol, we need to get more implementation deployment and experience to help us better understand which piece works, which pieces not needed, which pieces need to be redesigned. ALTO protocol is initial designed for P2P, later on CDN application, it is generic protocol, Do we have P2P specific features that need to peel off? To get this question answer, we propose the first work item and the second item and will create wiki page to keep track of related concern/issues/report

Secondly, we have been working together with colleagues from network operator, network vendor and academy et. al. for quite long to perform ALTO-oriented research and also real network testing which have already show very clear benefits and we contribute MoWIE to this WG （https://datatracker.ietf.org/doc/draft-huang-alto-mowie-for-network-aware-app/).  We think the listed items, i.e. the generic protocol extension for policy attributer, proposed as the high priority for recharter proposal in IETF#110 ALTO shows rough consensus to some extent. If ALTO WG doesn't continue these topics explicitly, it is very regretful and we really feel disappointed about this.

[Qin]: Please see the latest charter proposal, last work item we proposed based on list discussion
https://trac.ietf.org/trac/alto/wiki/v0.5-recharter
o Report back to the Area Director to identify any use cases that have strong support and a realistic chance of implementation and deployment.
New use cases documentation is encouraged, especially the use cases for new emerging applications as you mentioned, AR, VR, Cloud gaming, which have strong support.
For MOWIE, I think the same question applies here, i.e., which part are research based, while which part are not,
thanks for sharing 3GPP activity on Network Capability Exposure, I think this is something related to what ALTO can do.
We need to better document these requirements and use cases from other SDO, I would suggest to split MOWIE into three document,

1.     Use Case Document

2.     Requirements Document

3.     Implementation report
The requirements Document will summarize the general requirement from each use cases. These requirements also require endorsement from some standard body such as 3GPP.
Implementation report, we have many good example for implementation report such as
https://www.ietf.org/how/runningcode/implementation-reports/
https://www6.ietf.org/iesg/implementation/report-rfc2329.txt
RFC2329 provide a good example for OSPF implementation report. We need a similar report for ALTO protocol.
https://datatracker.ietf.org/doc/html/rfc5657
RFC5657 even provide Guidance on Interoperation and Implementation Reports

Thirdly, there have been more and more interests in these interactive services from many SDOs including 3GPP and IEEE etc. In year 2020, IEEE has setup up a new working group related to cloud gaming. In 3GPP since 2019 we have led Rel-17 5G_AIS (Advanced Interactive Services) and also we are driving another new Rel-18 study item in 3GPP to further enhance interaction between application and network for these interactive services from network perspective. If IETF can have corresponding standard activities (as 3GPP and IEEE are working on network and lower layers), that would be great for standards synergy and Internet ecosystem. Otherwise, it is really a pity that we missed a very important technical direction in Internet.

[Qin]: That’s a good example on how 3GPP coordinate with IEEE on new service standardization work. I think Coordination between 3GPP and IETF is also welcome.
I think we need to better understand

1.     the requirements from 3GPP regarding Network Capability Exposure.

2.     Whether these requirements can be addressed by ALTO protocol

3.     We also need to make sure there is no overlapping or invent new wheel.
This can be resolved by liaison exchange or continue discussion on these use cases on the list and through virtual meeting.
I would encourage other proponents to follow the similar approach and document your use case and collect implementation experience and report from it.
Hope this address your comments and concerns.

Therefore, we sincerely hope ALTO can re-consider such way forward.

BRs,
Chunshan Xiong

From: alto <[email-masked]<mailto:[email-masked]>> On Behalf Of Qin Wu
Sent: Saturday, April 24, 2021 12:06 AM
To: IETF ALTO <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Zaheduzzaman Sarker <[email-masked]<mailto:[email-masked]>>
Subject: [alto] WG Review: ALTO Charter Update(Internet mail)

Dear Martin and working group,

Thank you for the useful rechartering discussions on the mailing list and at IETF-110.

I have listened to the people who say that further protocol work needs to be based on strong deployment needs, and I also hear very many different use cases proposed. I think we need more discussion and understanding to work out which use cases are high priority and which are more research-based.

This makes me think that we need a small short-term recharter to allow us to work on immediate issues (protocol maintenance, operational support) while we discuss and investigate the best uses cases for further work.

So I propose this as our new charter with input from our AD.

=========================================================================================

Application-Layer Traffic Optimization Working Group Charter Update

The ALTO working group was established in 2008 to devise a request/response protocol to allow a host to benefit from a server that is more cognizant of the network infrastructure than the host is.

The working group has developed an HTTP-based protocol and recent work has reported proof-of-concepts of ALTO based solutions supporting applications such as content distribution networks (CDN).

To support current and future deployments of ALTO, the working group is now chartered for the following activities:

o Provide a place to collect implementation deployment and experience. It is hoped that implementer and deployers of ALTO will report their experiences on the mailing list, and the working group will track implementation and deployment reports on a wiki or in an Internet-Draft.

o Perform protocol maintenance for the existing published protocol. It is anticipated that questions and issues will arise concerning the existing protocol specifications: The working group will develop and publish updates as necessary to resolve any interoperability, performance, operational, or security, or privacy problems that arise. The working group will also help resolve any errata reports that are raised. This work item might be addressed by discussions and reviews, or might require additional RFCs.

o Develop operational support tools for the ALTO protocol. Based on experience from deployments, the advice in RFC 7971<http://tools.ietf.org/html/rfc7971>, and considering the latest opinions and techniques from the Operations and Management Area, the working group will develop tools to configure, operate, and manage the ALTO protocol and networks that use ALTO. This may include YANG models and OAM mechanisms. The working group may also update RFC 7971<http://tools.ietf.org/html/rfc7971> in the light of new experience and protocol features that were added to ALTO after that RFC was published.

o Support for modern transport protocols. When work on ALTO began, the protocol was supported using HTTP version 1. Since then, the IETF has developed HTTP/2 and HTTP/3. The working group will develop any necessary protocol extensions and guidance to support the use of ALTO over HTTP/2 and HTTP/3.

o Future use cases. The working group will provide a forum to discuss possible future use cases. The objective of this discussion will be to determine a small set of use cases that have strong support and a realistic chance of implementation and deployment. The working group will not develop protocol extensions for these use cases until it has been re-chartered specifically for that purpose.

At the conclusion of the OAM and HTTP2/3 deliverables, plus completion of any adopted drafts emerging from the other work items, the working group will close or recharter.

Milestones and Deliverables:

  *   Conduct a survey of working group participants and the wider community to discover ALTO implementation and deployment experience. Record the results in a publicly visible wiki.
  *   Develop and standardize at least one OAM mechanisms to support ALTO including a YANG model for configuration and management of YANG servers.
  *   Perform an analysis of ALTO over HTTP/2 and HTTP/3 and publish a support document. Develop any necessary protocol modifications.
====================================================================================
Please comment here on this draft charter proposal.

-Qin (on behalf of chairs)

---

From: chunshxiong(熊春山) <[email-masked]>
Date: Thu, 13 May 2021 13:58:14 +0000

Hello Qin,

Thanks for the feedback!

Regarding to the recharter proposal, we attended the discussion quite long time (though quite a lot are not the WG level but within design team).  The bullet you referenced indeed in our view is just for information and may not end up with a WG document.  So this is indeed not our expectation:-)

So, regarding to your proposal to spit into different documents, thanks for the proposal but we will evaluate and discuss within design team and decide whether to continue.

Meanwhile, for coordination between 3GPP and IETF, indeed there is official LSes always between these two SDOs, but the LS normally is based on the progress on standards work related to each other. The ongoing 3GPP R-18 new study/work item selection sees great interest in ( interactive) application network coordination for different kinds of companies. If IETF ALTO does not continue to study the new protocol to support the new services, even if 3GPP sends LS to IETF, we may not be able to address it properly.
In 3GPP Rel-17, 44 companies from global area support advanced interactive services related work ranked as high priority topic during work item prioritization.   From a service provider perspective, it is also very clear to us how important it is to optimize the user experiences for such important and popular scenarios like cloud gaming etc.  It is really a pity that some of the interested companies may not come to IETF but it really doesn’t mean such use case are not dominant.  In future we can consider to ask more companies to come to IETF or ask their 3GPP team to align with IETF team:-)  Regarding to new wheels, we think there is very clear spit/boundary between 3GPP and IETF thus such cases can probably be avoided easily.  Anyway, this is something in the future and we can come to IETF when proper.

So, again thanks for Qin’s response and we do hope ALTO  is actually addressing how state-of -the-art dominating application and network can coordinate to improve user experiences.

Thanks a lot!

BRs,

Chunshan Xiong

From: Qin Wu <[email-masked]>
Sent: Wednesday, May 12, 2021 8:14 PM
To: chunshxiong(熊春山) <[email-masked]>; IETF ALTO <[email-masked]>
Cc: [email-masked]; Zaheduzzaman Sarker <[email-masked]>
Subject: RE: [alto] WG Review: ALTO Charter Update(Internet mail)

Thanks Chunshan for your input and comments on charter proposal, see reply inline.
发件人: chunshxiong(熊春山) [mailto:[email-masked]]
发送时间: 2021年5月11日 16:40
收件人: Qin Wu <[email-masked]<mailto:[email-masked]>>; IETF ALTO <[email-masked]<mailto:[email-masked]>>
抄送: [email-masked]<mailto:[email-masked]>; Zaheduzzaman Sarker <[email-masked]<mailto:[email-masked]>>
主题: RE: [alto] WG Review: ALTO Charter Update(Internet mail)

1.      Use Case Document

2.      Requirements Document

3.      Implementation report

BRs,
Chunshan Xiong

---

From: Martin Duke <[email-masked]>
Date: Mon, 17 May 2021 13:57:45 -0700

Chunshan,

Thanks for your input. I support Qin's comments.

I will also say that exploring these sorts of possibilities are the domain
of the IRTF -- the IETF works where organizations are ready to deploy an
architecture and just need the details to be worked out.

ALTO is *not* the working group for all application/network communication
-- it is the working group to develop and maintain an HTTP-based protocol
to acquire long-lived network parameters. PANRG exists to tackle research
questions in the broader space, where the community doesn't believe there
is a fully formed consensus on how to fix the big problems.

If 3GPP won't send a Liaison Statement, that tells me they are not yet
convinced that ALTO is a solution to their problem. This tells me that
there needs to be a proof of concept and/or some experiments to convince
the industry*. *After that persuasion has happened, it is a good time to
consider major standards activity.

On Thu, May 13, 2021 at 6:58 AM chunshxiong(熊春山) <[email-masked]>
wrote:

> *From:* Qin Wu <[email-masked]>
> *Sent:* Wednesday, May 12, 2021 8:14 PM
> *To:* chunshxiong(熊春山) <[email-masked]>; IETF ALTO <[email-masked]
> >
> *Cc:* [email-masked]; Zaheduzzaman Sarker <
> [email-masked]>
> *Subject:* RE: [alto] WG Review: ALTO Charter Update(Internet mail)
>
>
>
> *发件人:* chunshxiong(熊春山) [mailto:[email-masked]
> <[email-masked]>]
> *发送时间:* 2021年5月11日 16:40
> *收件人:* Qin Wu <[email-masked]>; IETF ALTO <[email-masked]>
> *抄送:* [email-masked]; Zaheduzzaman Sarker <
> [email-masked]>
> *主题:* RE: [alto] WG Review: ALTO Charter Update(Internet mail)
>
>
>
> Firstly, we think ALTO is an IETF WG to standardize the interaction
> between application and network, initially for P2P application and now it
> is a good chance to continue optimization to support these new interactive
> services like Cloud Gaming, XR/AR, V2X application etc.
>
> To support new application and introduce further optimization for ALTO
> protocol, we need to get more implementation deployment and experience to
> help us better understand which piece works, which pieces not needed, which
> pieces need to be redesigned. ALTO protocol is initial designed for P2P,
> later on CDN application, it is generic protocol, Do we have P2P specific
> features that need to peel off? To get this question answer, we propose the
> first work item and the second item and will create wiki page to keep track
> of related concern/issues/report
>
>
>
> Secondly, we have been working together with colleagues from network
> operator, network vendor and academy et. al. for quite long to perform
> ALTO-oriented research and also real network testing which have already
> show very clear benefits and we contribute MoWIE to this WG （
> https://datatracker.ietf.org/doc/draft-huang-alto-mowie-for-network-aware-app/).
> We think the listed items, i.e. the generic protocol extension for policy
> attributer, proposed as the high priority for recharter proposal in
> IETF#110 ALTO shows rough consensus to some extent. If ALTO WG doesn't
> continue these topics explicitly, it is very regretful and we really feel
> disappointed about this.
>
>
>
> o Report back to the Area Director to identify any use cases that have
> strong support and a realistic chance of implementation and deployment.
>
> New use cases documentation is encouraged, especially the use cases for
> new emerging applications as you mentioned, AR, VR, Cloud gaming, which
> have strong support.
>
> For MOWIE, I think the same question applies here, i.e., which part are
> research based, while which part are not,
>
> thanks for sharing 3GPP activity on Network Capability Exposure, I think
> this is something related to what ALTO can do.
>
> We need to better document these requirements and use cases from other
> SDO, I would suggest to split MOWIE into three document,
>
> 1.      Use Case Document
>
> 2.      Requirements Document
>
> 3.      Implementation report
>
> The requirements Document will summarize the general requirement from each
> use cases. These requirements also require endorsement from some standard
> body such as 3GPP.
>
> Thirdly, there have been more and more interests in these interactive
> services from many SDOs including 3GPP and IEEE etc. In year 2020, IEEE has
> setup up a new working group related to cloud gaming. In 3GPP since 2019 we
> have led Rel-17 5G_AIS (Advanced Interactive Services) and also we are
> driving another new Rel-18 study item in 3GPP to further enhance
> interaction between application and network for these interactive services
> from network perspective. If IETF can have corresponding standard
> activities (as 3GPP and IEEE are working on network and lower layers), that
> would be great for standards synergy and Internet ecosystem. Otherwise, it
> is really a pity that we missed a very important technical direction in
> Internet.
>
>
>
> [Qin]: That’s a good example on how 3GPP coordinate with IEEE on new
> service standardization work. I think Coordination between 3GPP and IETF is
> also welcome.
>
> This can be resolved by liaison exchange or continue discussion on these
> use cases on the list and through virtual meeting.
>
> I would encourage other proponents to follow the similar approach and
> document your use case and collect implementation experience and report
> from it.
>
> *From:* alto <[email-masked]> *On Behalf Of *Qin Wu
> *Sent:* Saturday, April 24, 2021 12:06 AM
> *To:* IETF ALTO <[email-masked]>
> *Cc:* [email-masked]; Zaheduzzaman Sarker <
> [email-masked]>
> *Subject:* [alto] WG Review: ALTO Charter Update(Internet mail)
>
>
>
> I have listened to the people who say that further protocol work needs to
> be based on strong deployment needs, and I also hear very many different
> use cases proposed. I think we need more discussion and understanding to
> work out which use cases are high priority and which are more
> research-based.
>
>
>
> This makes me think that we need a small short-term recharter to allow us
> to work on immediate issues (protocol maintenance, operational support)
> while we discuss and investigate the best uses cases for further work.
>
>
>
> The ALTO working group was established in 2008 to devise a
> request/response protocol to allow a host to benefit from a server that is
> more cognizant of the network infrastructure than the host is.
>
> The working group has developed an HTTP-based protocol and recent work has
> reported proof-of-concepts of ALTO based solutions supporting applications
> such as content distribution networks (CDN).
>
> To support current and future deployments of ALTO, the working group is
> now chartered for the following activities:
>
> o Provide a place to collect implementation deployment and experience. It
> is hoped that implementer and deployers of ALTO will report their
> experiences on the mailing list, and the working group will track
> implementation and deployment reports on a wiki or in an Internet-Draft.
>
> o Perform protocol maintenance for the existing published protocol. It is
> anticipated that questions and issues will arise concerning the existing
> protocol specifications: The working group will develop and publish updates
> as necessary to resolve any interoperability, performance, operational, or
> security, or privacy problems that arise. The working group will also help
> resolve any errata reports that are raised. This work item might be
> addressed by discussions and reviews, or might require additional RFCs.
>
> o Develop operational support tools for the ALTO protocol. Based on
> experience from deployments, the advice in RFC 7971
> <http://tools.ietf.org/html/rfc7971>, and considering the latest opinions
> and techniques from the Operations and Management Area, the working group
> will develop tools to configure, operate, and manage the ALTO protocol and
> networks that use ALTO. This may include YANG models and OAM mechanisms.
> The working group may also update RFC 7971
> <http://tools.ietf.org/html/rfc7971> in the light of new experience and
> protocol features that were added to ALTO after that RFC was published.
>
> o Support for modern transport protocols. When work on ALTO began, the
> protocol was supported using HTTP version 1. Since then, the IETF has
> developed HTTP/2 and HTTP/3. The working group will develop any necessary
> protocol extensions and guidance to support the use of ALTO over HTTP/2 and
> HTTP/3.
>
> o Future use cases. The working group will provide a forum to discuss
> possible future use cases. The objective of this discussion will be to
> determine a small set of use cases that have strong support and a realistic
> chance of implementation and deployment. The working group will not develop
> protocol extensions for these use cases until it has been re-chartered
> specifically for that purpose.
>
> At the conclusion of the OAM and HTTP2/3 deliverables, plus completion of
> any adopted drafts emerging from the other work items, the working group
> will close or recharter.
>
>    - Conduct a survey of working group participants and the wider
>    community to discover ALTO implementation and deployment experience. Record
>    the results in a publicly visible wiki.
>    - Develop and standardize at least one OAM mechanisms to support ALTO
>    including a YANG model for configuration and management of YANG servers.
>    - Perform an analysis of ALTO over HTTP/2 and HTTP/3 and publish a
>    support document. Develop any necessary protocol modifications.
>
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>